common:
    macros:
        - DAPLINK_BL
        - DAPLINK_BUILD_KEY=0x9B939D93  # DAPLINK_BUILD_KEY_BL
    includes:
        - source/daplink
        - source/daplink/bootloader
        - source/cmsis-core
        - source/hic_hal
        - source/hic_hal/cmsis-driver
    sources:
        daplink_bl:
            - source/daplink
            - source/daplink/bootloader

tool_specific:
    uvision:
        linker_file:
            - source/daplink/daplink.sct
        misc:
            ld_flags:
                - --predefine=-DDAPLINK_BL
    armcc:
        linker_file:
            - source/daplink/daplink.sct
        misc:
            ld_flags:
                - --predefine=-DDAPLINK_BL
    armclang:
        linker_file:
            - source/daplink/daplink.ac6.sct
